import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 13.04.2011
  * @author claus albowski
  */

public class RGBFarben extends JFrame {
  // Anfang Attribute
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JLabel jLabel3 = new JLabel();
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JTextField jTextField3 = new JTextField();
  private JButton jButton1 = new JButton();
  // Ende Attribute

  public RGBFarben(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 245;
    int frameHeight = 219;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jLabel1.setBounds(16, 40, 54, 16);
    jLabel1.setText("rot");
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    jLabel2.setBounds(16, 72, 54, 16);
    jLabel2.setText("gruen");
    jLabel2.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel2);
    jLabel3.setBounds(16, 104, 54, 16);
    jLabel3.setText("blau");
    jLabel3.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel3);
    jTextField1.setBounds(88, 32, 121, 24);
    jTextField1.setText("255");
    cp.add(jTextField1);
    jTextField2.setBounds(88, 72, 121, 24);
    jTextField2.setText("127");
    cp.add(jTextField2);
    jTextField3.setBounds(88, 104, 121, 24);
    jTextField3.setText("0");
    cp.add(jTextField3);
    jButton1.setBounds(16, 136, 193, 25);
    jButton1.setText("zeigen");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  
  /**
   * Umwandlungsfunktion fuer die Inhalte
   */
  public int stringToInt(String inhalt){
    try {
      return Integer.parseInt(inhalt);
    } catch (NumberFormatException e) {
        return 0;
      }
  }
  
  public void jButton1_ActionPerformed(ActionEvent evt) {
    int rot = stringToInt(jTextField1.getText());
    if (rot>255) rot = 0;
    else if (rot<0) rot = 0;
    int gruen = stringToInt(jTextField2.getText());
    if (gruen>255) gruen = 0;
    else if (gruen<0) gruen = 0;
    int blau = stringToInt(jTextField3.getText());
    if (blau>255) blau = 0;
    else if (blau<0) blau = 0;
    //System.out.print("( "+rot+" / "+gruen+" / "+blau+" )");
    Color farbe = new Color(rot, gruen, blau);
    this.getContentPane().setBackground(farbe);
  }

  // Ende Methoden

  public static void main(String[] args) {
    new RGBFarben("RGBFarben");
  }
}
